       SUBROUTINE UGDEFBODY
C
       IMPLICIT NONE
C
       include 'vols.inc'
       include 'materials.inc'
 
C The universe is a big box of air. The size of the universe
C is defined in the datacard using the keywork 'MVOL'
 
       INTEGER IVOL


C This'll create a tube with inner radius
C SCINTPAR(1), outer radius SCINTPAR(2), and 
C half length SCINTPAR(3)

       BODYPAR(1)=0.
       SKINPAR(1)=0.
       BODYPAR(2)=SKINPAR(2)-0.1
       BODYPAR(3)=SKINPAR(3)-0.2

        CALL GSVOLU('SKIN','TUBE', IMATCARBON, SKINPAR, 3,IVOL)

        CALL GSVOLU('BODY','TUBE', IMATWATER, BODYPAR, 3,IVOL)

C Define rotation matrix
        CALL GSROTM(1,180.,90.,90.,180.,90.,90.)
 
C Position this in the universe

      CALL GSPOS('SKIN',1,'WRLD',BODYPOS(1),BODYPOS(2),
     +              BODYPOS(3),1,'ONLY')

      CALL GSPOS('BODY',1,'SKIN',0.,0.,0.,0,'ONLY')

       END
